skktools_1.3.3+0.20150901-1_i386.deb


Advertisement

Description

skktools - SKK dictionary maintenance tools

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: skktools
Package version: 1.3.3+0.20150901
Package release: 1
Package architecture: i386
Package type: deb
Installed size: 232 B
Download size: 64.04 KB
Official Mirror: archive.ubuntu.com
This package provides tools to maintain dictionary files for SKK Japanese input systems. SKK dictionary files are provided by the skkdic package and the skkdic-extra package. You can make a local dictionary file from them. If you want to convert a dictionary file to cdb (DJB's constant database), install the tinycdb package. To use the optional scripts, install the required tools, such as gawk, ruby, gauche, etc.

Alternatives

Conflicts

  • skk-dictools

Replaces

  • skk-dictools

    Download

    Source package: skktools

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install skktools deb package:
      # sudo apt-get install skktools

    Files

    • /usr/bin/skk2cdb
    • /usr/bin/skkdic-count
    • /usr/bin/skkdic-expr
    • /usr/bin/skkdic-expr2
    • /usr/bin/skkdic-sort
    • /usr/sbin/update-skkdic
    • /usr/share/doc/skktools/FAQ.txt.gz
    • /usr/share/doc/skktools/README.C.gz
    • /usr/share/doc/skktools/README.Debian
    • /usr/share/doc/skktools/README.convert2skk.gz
    • /usr/share/doc/skktools/README.filters.gz
    • /usr/share/doc/skktools/README.jperl
    • /usr/share/doc/skktools/README.md
    • /usr/share/doc/skktools/README.skkdic-diff
    • /usr/share/doc/skktools/README.skkdic-expr2
    • /usr/share/doc/skktools/changelog.Debian.gz
    • /usr/share/doc/skktools/copyright
    • /usr/share/emacs/site-lisp/skk-xml.el
    • /usr/share/man/man1/skk2cdb.1.gz
    • /usr/share/man/man1/skkdic-count.1.gz
    • /usr/share/man/man1/skkdic-expr.1.gz
    • /usr/share/man/man1/skkdic-expr2.1.gz
    • /usr/share/man/man1/skkdic-sort.1.gz
    • /usr/share/man/man8/update-skkdic.8.gz
    • /usr/share/skktools/saihenkan.rb
    • /usr/share/skktools/skk2cdb.py
    • /usr/share/skktools/skkdic-diff.scm
    • /usr/share/skktools/unannotation.awk
    • /usr/share/skktools/convert2skk/adddummy
    • /usr/share/skktools/convert2skk/alpha-kana.pl
    • /usr/share/skktools/convert2skk/aozora2skk.rb
    • /usr/share/skktools/convert2skk/atok2skk.pl
    • /usr/share/skktools/convert2skk/canna2skk.rb
    • /usr/share/skktools/convert2skk/chasen2skk.rb
    • /usr/share/skktools/convert2skk/ctdicconv.rb
    • /usr/share/skktools/convert2skk/dic-it2skk.rb
    • /usr/share/skktools/convert2skk/doc2skk.sh
    • /usr/share/skktools/convert2skk/edict2skk.awk
    • /usr/share/skktools/convert2skk/ipadic2skk.rb
    • /usr/share/skktools/convert2skk/list2skk
    • /usr/share/skktools/convert2skk/prime2skk.rb
    • /usr/share/skktools/convert2skk/pubdic2list
    • /usr/share/skktools/convert2skk/removedummy
    • /usr/share/skktools/convert2skk/skk-wordpicker.rb
    • /usr/share/skktools/convert2skk/skk2list
    • /usr/share/skktools/convert2skk/wnn2skk.awk
    • /usr/share/skktools/convert2skk/wnn2skk.sed
    • /usr/share/skktools/convert2skk/wnn2skk.sh
    • /usr/share/skktools/convert2skk/wx2skk.pl
    • /usr/share/skktools/dbm/makedbmdic4
    • /usr/share/skktools/dbm/makedbmdic5
    • /usr/share/skktools/filters/abbrev-convert.rb
    • /usr/share/skktools/filters/abbrev-simplify-keys.rb
    • /usr/share/skktools/filters/annotation-filter.rb
    • /usr/share/skktools/filters/asayaKe.rb
    • /usr/share/skktools/filters/complete-numerative.rb
    • /usr/share/skktools/filters/conjugation.rb
    • /usr/share/skktools/filters/make-tankan-dic.rb
    • /usr/share/skktools/filters/skkdictools.rb

    Changelog

    2015-09-06 - Tatsuya Kinoshita <tats@debian.org> skktools (1.3.3+0.20150901-1) unstable; urgency=medium * Imported Upstream version 1.3.3+0.20150901 - Support Ruby 2.1 * Update debian/copyright * Update Standards-Version to 3.9.6 * Update Vcs-Browser to cgit * Adjust to install README.md

    2013-12-28 - Tatsuya Kinoshita <tats@debian.org> skktools (1.3.3-2) unstable; urgency=low * Use autotools-dev to update config.* at build time * Update Standards-Version to 3.9.5

    2013-07-19 - Tatsuya Kinoshita <tats@debian.org> skktools (1.3.3-1) unstable; urgency=low * Imported Upstream version 1.3.3 * Remove debian/patches (merged upstream) * Update README.Debian (skk2cdb.py is merged upstream) * Update debian/copyright

    2013-07-13 - Tatsuya Kinoshita <tats@debian.org> skktools (1.3.2-5) unstable; urgency=low * New patch 050_libtool.patch for arm64

    2013-05-23 - Tatsuya Kinoshita <tats@debian.org> skktools (1.3.2-4) unstable; urgency=low * Do not depend on ruby1.8 * New patch 030_Rescue-LoadError-of-jcode-for-Ruby-1.9.patch * New patch 040_Add-magic-comment-for-Ruby-1.9.patch * Add Vcs-Git and Vcs-Browser * Update debian/copyright * Update Standards-Version to 3.9.4

    2012-07-08 - Tatsuya Kinoshita <tats@debian.org> skktools (1.3.2-3) unstable; urgency=low * debian/rules: Use dpkg-buildflags to support hardening flags * debian/copyright: Update copyright-format version to 1.0 * debian/control: Update Standards-Version to 3.9.3

    2012-02-12 - Tatsuya Kinoshita <tats@debian.org> skktools (1.3.2-2) unstable; urgency=low * debian/patches/010_makedbmdic5.patch: Transition to Perl 5.16 for makedbmdic5. (closes: #659427) * debian/rules: New targets build-arch and build-indep. * debian/copyright: Updated.

    2011-04-17 - Tatsuya Kinoshita <tats@debian.org> skktools (1.3.2-1) unstable; urgency=low * New upstream release. * debian/patches/010_upstream.patch: Removed. * debian/copyright: Switch to the DEP-5 format.

    2011-04-11 - Tatsuya Kinoshita <tats@debian.org> skktools (1.3.1-3) unstable; urgency=low * Migration for libdb5.1. (closes: #621399) * debian/patches/010_upstream.patch: Upstream development snapshot on 2011-04-10. * debian/patches/020_skk2cdb-py.patch: New file skk2cdb.py, dictionary convertion tool written with Python, downloaded from upstream. It is not part of skk/tools, but fit for this Debian package. * debian/rules: - Use ruby1.8 for the ruby scripts with the -K option. - Install *.py in /usr/share/skktools. - Prevent redundant output of grep. * debian/control: - Add ${misc:Depends} to Depends. - Add python and ruby1.8 to Suggests. - Update Standards-Version to 3.9.2. * README.Debian: Updated for skk2cdb.py. * debian/copyright: Updated. * Switch to dpkg-source 3.0 (quilt) format.

    2009-07-26 - Tatsuya Kinoshita <tats@debian.org> skktools (1.3.1-2) unstable; urgency=low * debian/control: - Change Depends to libdb-dev from libdb4.6-dev. - Move Homepage from Description to the header. - Update Standards-Version to 3.8.2. * debian/rules: - Use dh_prep instead of `dh_clean -k'. - Set LC_ALL=C for sed. * compile, config.sub, config.guess, depcomp, install-sh, ltmain.sh, missing: Updated from libtool 2.2.6a-4 and autotools-dev 20090611.1. * debian/rules, debian/control: Remove autotools-dev dependency. * debian/compat, debian/control: Update debhelper version to 7. * debian/copyright: Updated.

    Advertisement
    Advertisement